# hzz-table
基于element-ui封装的通用表格，包含以下功能点：

1、支持传入`model`生成表格，提供配置项

2、支持表格自定义表格列

3、如有其他需要，自由修改

## version
|版本号|描述|
|:-|:-|
|`1.0.0`|初始版本|

## install
```javascript
npm i hzz-table -S
```

## quick start
```javascript
import hzzTable from 'hzz-table';
Vue.use(hzzTable);
```

## attributes
|参数|说明|类型|默认值|
|:-|:-|:-|:-|
|`data`|表格各项值对象|`array`|-|
|`model`|表格模板对象|`array`|-|
|`bind`|表格属性对象，可传入属性见`element-ui`|`object`|-|
|`first`|表格首列类型|`string`|`''`|

### model attrubites
|参数|说明|类型|默认值|可选值|
|:-|:-|:-|:-|:-|
|`render`|单元格渲染函数，支持传入组件|`function`|-|-|
其余参数见`element-ui`的`Table-column Attributes`

## author
If you have any question. You can contract me with QQ(`1321176618`).
